# SPDX-FileCopyrightText: StorPool <support@storpool.com>
# SPDX-License-Identifier: BSD-2-Clause

import collections.abc

from typing import Any, Dict, IO, Iterator, List, Union


class Deb822Dict(collections.abc.MutableMapping[str, str]):
    def __delitem__(self, key: str) -> None: ...
    def __iter__(self) -> Iterator[str]: ...
    def __getitem__(self, key: str) -> str: ...
    def __len__(self) -> int: ...
    def __setitem__(self, key: str, value: str) -> None: ...


class Changes:
    def __init__(self, stream: IO[Any]) -> None: ...

    def __getitem__(self, index: str) -> Union[str, List[Deb822Dict]]: ...
